commit:     ab4c19d68105021ecf8e9d111bf76fea129205b9
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  7 08:59:06 2020 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Mon Sep  7 08:59:22 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab4c19d6

media-sound/audacity: fixed compilation of 2.4.2-r1

Closes: https://bugs.gentoo.org/738830
Package-Manager: Portage-3.0.5, Repoman-3.0.1
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-sound/audacity/audacity-2.4.2-r1.ebuild | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/media-sound/audacity/audacity-2.4.2-r1.ebuild 
b/media-sound/audacity/audacity-2.4.2-r1.ebuild
index f3d34ec54f6..2ed0b3c6023 100644
--- a/media-sound/audacity/audacity-2.4.2-r1.ebuild
+++ b/media-sound/audacity/audacity-2.4.2-r1.ebuild
@@ -111,6 +111,10 @@ src_configure() {
        )
 
        cmake_src_configure
+
+       # if git is not installed, this (empty) file is not being created and 
the compilation fails
+       # so we create it manually
+       touch "${BUILD_DIR}/src/private/RevisionIdent.h" || die "failed to 
create file"
 }
 
 src_install() {

Reply via email to